AutoCAD Inventor :: How To Find And Get Coordinates Of CustomTable
Mar 16, 2012
In Inventor, I want to look for a table called "MS6 Report". If the table exists, I want to get its coordinates, and delete the table. If it doesn't exist, I'd just like to let the user place a table. How can I check if a customtable by this name already exists in the document? Here is what I have so far...
if (aDoc.ActiveSheet.CustomTables.Equals("MS6 Report")){//get table coordinates//delete table }else {userInteract = m_inventorApplication. Command Manager.CreateInteractionEvents();keySelect = userInteract.KeyboardEvents;keySelect.OnKeyDown += new Keyboard EventsSink_ OnKey Down EventHandler(keySelect_OnKeyDown);mouseSelect = userInteract.MouseEvents;mouseSelect.OnMouseDown += new MouseEventsSink_ OnMouse DownEventHandler(Table_Update_Placement); }
The else statement works great. No problems there. How can I find, get coordinates of, and delete a custom table by the name of "MS6 Report"?
i am trying to translate a Point coordinates from Paperspce to world coordinates in model space.The code i used in Land2006 worked OK but now in Civil3d 2012 it doesn't!
Private Sub GetPlais_Click() Dim tmpnt1 As Variant, tmpnt2 As Variant, tmpPnt1 As Variant Dim lole(0 To 2) As Double, upri(0 To 2) As Double Dim returnobj As AcadObject
FrmGrid3.Hide On Error GoTo Eline ThisDrawing.Utility.GetEntity returnobj, tmpPnt1, "ÅðÝëåîå ôï ViewPort ðïõ èá äçìéïõñãçèåß ï êÜíáâïò!" If TypeOf returnobj Is IAcadPViewport Then [code]........
I'm a GIS analyst trying to learn Cad. I'd like to place a single point in autocad model space at a specific Northing/Easting position. After reading several forum threads I don't think CAD allows me to change the coordinate system of model space from map coords to northing easting coords, as we can in GIS.
I have a 3D part that produced from an assembly document. (pic.1). How can I take the coordinates of the curve that is designed on the right surface (pic.2) in a .txt or better .xls file ?
For almost a decade I'm used to AutoCAD standard 3D coordinates display: X to right, Y away and Z straight up. For some reason Inventor is configured differently: X to right, Y straight up and Z toward you.
Is it possible to pull out the x,y,z coordinates to text file from a inventor part. I am aware about this that it maybe need some programming but what kind of programming Language is the best to use ? is it possible to use the build in programming Language called Ilogic? Or is it better to use some .net? At my work we use PDMS to do plant modelling and we want to use inventor for modelling the machines and doing the workshop drawings ect. And we want to be able to take the inventor part coordinates and transfer them to PDMS because it can model the machines just by coordinates taken from a text fil.
I try to develop a vba code to get the coordonates of each part of an assembly and after export them to an excel file.
I build this :
Public Sub Export_Layout_COG()
If MsgBox("Cette Macro va exporter les coordonnées du COG de chaque layout, continuer ?", vbYesNo) = vbYes Then Dim RefDoc As Document Set RefDoc = ThisApplication.ActiveDocument Refdocdisplayname = RefDoc.DisplayName
[Code]...
The code return an error on the red line, I don't catch why?
Why is it, when I go to Flat Pattern/export to DXF that everything ends up upside down.I have part where it is important that the correct side is faced upp, (brusched steel).
When i Export it to dxf, it is upside down, and the bruched facefacing down.
My need is to create up to 50 points from the same origin in a three dimensional Cartesian coordinate system but I’d also like to have a labels for each point that show up in the feature tree.
Are there Inventor 2013 plugin (i.e., add-on, 3rd party, AP) to convert a list 3D Cartesian coordinate system locations (i.e., points) to Inventor to work points(x, y, z)?
I found that I cannot create 3D points in the assembly. Is this correct? I did find that an Inventor part may be used to create a 3D sketch that creates points in 3D space. In the past few days, I found two ways to create 3D points within a iPRT; the batch way uses an Excel file but it then does not allow me to name the points in the feature tree. The second way is to create them one at a time but that take way too much time.
I would like to make use of " find in feature tree" feature, but in DWG mode; Right clicking instead in BOM on part # and showing (highlighting) the balloon in the DWG so you know where it is that you put your balloon.
I have some drawings with lots of dimensions. Is there a way to check if any have been over ridden or a global way to set all dimensions to model value?
I'm trying to write a VBA macro (for Inventor 2010) that would have to work on drawing .idw files that are generated from a given component.So when I have an open assembly document, I want to go through all component occurences and work with the associated drawing.
There's a built in command in Inventor for that, in the context menu, something like "Open drawing" (mine is german, so not sure how it's called in english), which does this. It opens the drawing of the given part. From this I assumed, there must be a reference within each part, that points to the referencing drawing.
But I'm not able to find this information anywhere within the properties/objects of any component.how or where can I get this information out of the components?
how to identify the model associated with a particular PL on a drawing. I'm able to find a PL and write to the header which is cool. But I'm trying to determine the model associated with the BOM pipline so I can get it's P/N iproperty and write that to the PL header.
I have a .ipt part, and am trying to determine any assemblies which use it. Is there a way to figure out all of the assemblies in which this part is a component?
Trying to have ilogic find parts in an assembly that start with 900C7 so I can link the to a cell in excel showing the QTY and the LENGTH..
Right now I am just trying to get ilogic to find and list them then I know I can move to the next step..
Example:
900C71.250
900C72.125
900C7A.750
900C7P1.1875
And many more.
Here is what I have but it keeps posting the NOTHING message box. I have a few of the parts in the assembly and a few none 900C7 parts.
Dim openDoc As Inventor.DocumentDim docFile As Inventor.DocumentDim assemblyDoc As AssemblyDocumentDim partOcc As ComponentOccurrenceDim FNamePos As LongDim docFName As StringDim oList As Collection = New CollectionopenDoc = ThisApplication.ActiveDocumentIf openDoc.DocumentType [Code] .....
Here is a screen shot of the excel file what I am trying.
I have a situation where there was a modified balloon with an overridden part number that was causing some confusion. Is it possible to toggle a setting, like how you can select Overridden Inventor dimensions, to find any overridden balloon objects? Need to save some time performing a manual, visual search.
I have some code that find the length of a bend and it works great until there is a cut operation that passes through the edge of the part and through the bend. When this cut exists the systems recognizes the single bend 2 times which is fineand it should, just that it should also then be able to determine the length of each segment. It appears to be providing the length of the first segment twice. Any way to get either the segmented lengths or the length of the bend without the cut? I need a total length and the code below gives wrong data for the one edge length. the attached file shows what I mean.
Sub Bends() Dim oDoc As PartDocument Set oDoc = ThisApplication.ActiveDocument